#!/bin/sh
language=en

echo
if [ "$language" = "es" ]; then
    echo "GS3 Web Services demo-client"
    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
    echo "GS3 Web Services demo-client NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTA."
    echo "Para mayor informacin vea los trminos de la licencia en LICENSE.txt"
    echo "Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita"
elif [ "$language" = "fr" ]; then
    echo "GS3 Web Services demo-client"
    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
    echo "GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt"
    echo "Ceci est un logiciel libre, et vous tes invit  le redistribuer"
elif [ "$language" = "ru" ]; then
    echo "GS3 Web Services demo-client"
    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
    echo "     ;  .   LICENSE.TXT"
    echo " -         "
else
    echo "GS3 Web Services demo-client"
    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
    echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
    echo "This is free software, and you are welcome to redistribute it"
fi
echo

##  -------- Run the Greenstone Librarian Interface --------

# This script must be run from within the directory in which it lives
thisdir=`pwd`
if [ ! -f "${thisdir}/gs3democlient.sh" ]; then
    if [ "$language" = "es" ]; then
        echo "Este guin deber ejecutarse desde el directorio en el que reside."
    elif [ "$language" = "fr" ]; then
	echo "Ce script doit tre excut  partir du rpertoire dans lequel il se trouve."
    elif [ "$language" = "ru" ]; then
	echo "      ,    "
    else
	echo "This script must be run from the directory in which it resides."
    fi
    exit 1
fi


## ---- Check Java exists ----
javapath=

# Some users may set the above line manually
if [ "x$javapath" = "x" ]; then

    # If it is set, use the JAVA_HOME environment variable
    if [ "x$JAVA_HOME" != "x" ]; then
	javapath="$JAVA_HOME/bin/java"

    # Check if Java is on the search path
    else
	javapath=`which java 2> /dev/null`
    fi
fi

# Check that a Java executable has been found
version="1.5"

if [ "$language" = "es" ]; then
    echo "Revisando Java: $javapath"
elif [ "$language" = "fr" ]; then
    echo "Vrification de Java: $javapath"
elif [ "$language" = "ru" ]; then
    echo " Java: $javapath"
else
    echo "Checking Java: $javapath"
fi
if [ ! -x "$javapath" ]; then
    echo
    if [ "$language" = "es" ]; then
	echo "No se pudo localizar una versin apropiada de Java. Usted deber "
	echo "instalar un Ambiente de Ejecucin Java (versin 1.5 o superior) "
	echo "antes de correr la GS3 Web Services demo-client."
    elif [ "$language" = "fr" ]; then
	echo "Une version adquate de Java n'a pas pu tre localise."
	echo "Vous devez installer un Java Runtime Environment (version $version"
	echo "ou suprieur) avant de dmarrer GS3 Web Services demo-client."
    elif [ "$language" = "ru" ]; then
	echo "      Java."
	echo "   Java Runtime Environment ( $version "
	echo ")     GS3 Web Services demo-client."
    else
	echo "Failed to locate an appropriate version of Java. You must install a"
	echo "Java Runtime Environment (version $version or greater) before running the"
	echo "GS3 Web Services demo-client."
    fi
    exit 1
fi


## -- Check the version of Java is new enough (1.5.0 or higher) to run the GS3democlient --
`$javapath -classpath . CheckJavaVersion $version GS3democlient > /dev/null`
if [ $? -ne 2 ] ; then
    echo
    if [ "$language" = "es" ]; then
	echo "La versin del Ambiente de Ejecucin Java (JRE por sus siglas en"
	echo "ingls) que usted tiene instalada es demasiado vieja para ejecutar"
	echo "la GS3 Web Services demo-client. Por favor instale"
	echo "una nueva versin del Ambiente de Ejecucin Java (versin $version"
	echo "o posterior) y ejecute nuevamente este guin."
    elif [ "$language" = "fr" ]; then
	echo "La version de Java Runtime Environment que vous avez installe est"
	echo "trop vielle pour faire fonctionner GS3 Web Services demo-client."
	echo "Veuillez installer une nouvelle version du JRE (version $version ou"
	echo "plus rcente) et redmarrez le script."
    elif [ "$language" = "ru" ]; then
	echo " Java Runtime Environment,   ,  ,"
	echo "    Greenstone. , "
	echo "   JRE ( $version   ) "
	echo "  "
    else
	echo "The version of the Java Runtime Environment you have installed is too"
	echo "old to run the GS3 Web Services demo-client. Please install a new"
	echo "version of the JRE (version $version or newer) and rerun this script."
    fi
    exit 1
fi

## ---- Check that the GS3democlient executable exists ----
if [ ! -f "GS3democlient.jar" ]; then
    echo
    if [ "$language" = "es" ]; then
	echo "Usted necesita compilar la GS3 Web Services demo-client"
	echo "(por medio de ant build-demo-client) antes de ejecutar este guin."
    elif [ "$language" = "fr" ]; then
	echo "Vous devez compiler le GS3 Web Services demo-client (en utilisant"
	echo "ant build-demo-client) avant d'excuter ce script."
    elif [ "$language" = "ru" ]; then
	echo "     Greenstone"
	echo "( ant build-demo-client)    "
    else
	echo "You need to compile the GS3 Web Services demo-client (using"
	echo "ant build-demo-client) before running this script."
    fi
    exit 1
fi

## ---- Finally, run the GS3democlient ----
# Creates new folder "logs", if it does not already exist. Logs dir must exist
# for log4j to write output files into. Else an exception will be thrown.
mkdir "logs"

echo
if [ "$language" = "es" ]; then
    echo "Ejecutando la GS3 Web Services demo-client..."
elif [ "$language" = "fr" ]; then
    echo "Excution de GS3 Web Services demo-client"
elif [ "$language" = "ru" ]; then
    echo "   GS3 Web Services demo-client..."
else
    echo "Running GS3 Web Services demo-client..."
fi

    $javapath -jar GS3democlient.jar 
##$*
 
if [ "$language" = "es" ]; then
    echo "Hecho!"
elif [ "$language" = "fr" ]; then
    echo "Termin!"
elif [ "$language" = "ru" ]; then
    echo "!"
else
    echo "Done!"
fi
