<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: demoFoxmlToLucene.xslt,v 1.3 2006/11/28 11:19:42 gertsp Exp $ -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exts="xalan://dk.defxws.fedoragsearch.server.XsltExtensions" exclude-result-prefixes="exts" xmlns:zs="http://www.loc.gov/zing/srw/" xmlns:foxml="info:fedora/fedora-system:def/foxml#" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:mods="http://www.loc.gov/mods/v3" xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/" xmlns:uvalibdesc="http://dl.lib.virginia.edu/bin/dtd/descmeta/descmeta.dtd" xmlns:uvalibadmin="http://dl.lib.virginia.edu/bin/admin/admin.dtd/"
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rel="info:fedora/fedora-system:def/relations-external#">
        <xsl:output method="xml" indent="yes" encoding="UTF-8"/>
        <xsl:param name="REPOSITORYNAME" select="repositoryName"/>
        <xsl:variable name="PID" select="/foxml:digitalObject/@PID"/>
        <xsl:variable name="docBoost" select="1.4*2.5"/>
        <!-- or any other calculation, default boost is 1.0 -->

        <xsl:template match="/">
                <IndexDocument>
                        <!-- The PID attribute is mandatory for indexing to work -->
                        <xsl:attribute name="PID"><xsl:value-of select="$PID"/></xsl:attribute>
                        <xsl:attribute name="boost"><xsl:value-of select="$docBoost"/></xsl:attribute>
                        <!-- The following allows only active demo FedoraObjects to be indexed. -->
                        <!-- <xsl:if test="foxml:digitalObject/foxml:objectProperties/foxml:property[@NAME='info:fedora/fedora-system:def/model#state' and @VALUE='Active']"> -->
                        <xsl:if test="foxml:digitalObject/foxml:objectProperties/foxml:property[@NAME='info:fedora/fedora-system:def/model#state' and (@VALUE='Active' or @VALUE='Inactive')]">

                                <xsl:if test="foxml:digitalObject/foxml:objectProperties/foxml:property[@NAME='http://www.w3.org/1999/02/22-rdf-syntax-ns#type' and @VALUE='FedoraObject']">
                                        <xsl:if test="starts-with($PID,'greenstone')">
                                        <!--    filter out annotations: -->
                                        <!--
                                        <xsl:choose>
                                                <xsl:when test="foxml:digitalObject/foxml:datastream/foxml:datastreamVersion[last()]/foxml:xmlContent/rdf:RDF/rdf:Description/rel:isMemberOf[@rdf:resource='info:fedora/mura:annotations']">
                                                </xsl:when>
                                                <xsl:otherwise>
                                                -->
                                                        <xsl:apply-templates mode="activeDemoFedoraObject"/>
                                                <!--
                                                </xsl:otherwise>
                                        </xsl:choose>
                                        -->
                                        </xsl:if>
                                </xsl:if>

                                </xsl:if>
                </IndexDocument>
        </xsl:template>

        <xsl:template match="/foxml:digitalObject" mode="activeDemoFedoraObject">

                <IndexField IFname="PID" index="UN_TOKENIZED" store="YES" termVector="NO" boost="2.5">
                        <xsl:value-of select="$PID"/>
                </IndexField>
                <IndexField IFname="repositoryName" index="UN_TOKENIZED" store="YES" termVector="NO">
                        <xsl:value-of select="$REPOSITORYNAME"/>
                </IndexField>
                <xsl:for-each select="foxml:objectProperties/foxml:property">
                        <IndexField index="UN_TOKENIZED" store="YES" termVector="NO">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('object.', substring-after(@NAME,'#'))"/></xsl:attribute>
                                <xsl:value-of select="@VALUE"/>
                        </IndexField>
                </xsl:for-each>

                <!--index all datastreamVersions: -->
                <!--xsl:for-each select="foxml:datastream/foxml:datastreamVersion/foxml:xmlContent/dc:dc/*">
                        <IndexField index="TOKENIZED" store="YES" termVector="YES">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('dc.', substring-after(name(),':'))"/></xsl:attribute>
                                <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each-->

                <!--index only last datastreamVersion: -->
                <xsl:for-each select="foxml:datastream/foxml:datastreamVersion[last()]/foxml:xmlContent/oai_dc:dc/*">
                        <IndexField index="TOKENIZED" store="YES" termVector="YES">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('dc.', substring-after(name(),':'))"/></xsl:attribute>
                                <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each>

                <xsl:for-each select="foxml:datastream/foxml:datastreamVersion[last()]/foxml:xmlContent/dc:dc/*">
                        <IndexField index="TOKENIZED" store="YES" termVector="YES">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('dc.', substring-after(name(),':'))"/></xsl:attribute>
                                <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each>

                <xsl:for-each select="foxml:datastream/foxml:datastreamVersion[last()]/foxml:xmlContent/oai_dc:dc/*">
                        <IndexField index="UN_TOKENIZED" store="YES" termVector="YES">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('dc2.', substring-after(name(),':'))"/></xsl:attribute>
                                <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each>

                <xsl:for-each select="foxml:datastream/foxml:datastreamVersion[last()]/foxml:xmlContent/dc:dc/*">
                        <IndexField index="UN_TOKENIZED" store="YES" termVector="YES">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('dc2.', substring-after(name(),':'))"/></xsl:attribute>
                                <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each>

                <xsl:for-each select="foxml:datastream/foxml:datastreamVersion[last()]/foxml:xmlContent/mods:mods//*">
                        <IndexField index="TOKENIZED" store="YES" termVector="NO">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('mods.', substring-after(name(),':'))"/></xsl:attribute>
                                <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each>


                <xsl:for-each select="foxml:datastream[@ID='RELS-EXT']/foxml:datastreamVersion[last()]/foxml:xmlContent/rdf:RDF/rdf:Description/*">
                        <IndexField index="UN_TOKENIZED" store="YES" termVector="YES">
                                <xsl:attribute name="IFname"><xsl:value-of select="concat('rdf.', translate(name(), ':', '.'))"/></xsl:attribute>
                                        <xsl:value-of select="substring-after(@rdf:resource, 'info:fedora/')"/>
                                        <xsl:value-of select="text()"/>
                        </IndexField>
                </xsl:for-each>


                <xsl:for-each select="foxml:datastream">
                        <IndexField>
                                <xsl:attribute name="IFname">ds.fulltext</xsl:attribute>
                                <xsl:attribute name="dsId"><xsl:value-of select="@ID"/></xsl:attribute>
                                <xsl:attribute name="index">TOKENIZED</xsl:attribute>
                                <xsl:attribute name="store">YES</xsl:attribute>
                                <xsl:attribute name="termVector">NO</xsl:attribute>
                        </IndexField>

                        <IndexField IFname="ds.label" index="TOKENIZED" store="YES" termVector="YES">
                                <xsl:value-of select="foxml:datastreamVersion[last()]/@LABEL"/>
                        </IndexField>
                </xsl:for-each>

        </xsl:template>

</xsl:stylesheet>
